package com.cm.socket.enums;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: SocketMessageEnum
 * @Description: socket信息
 * @Author: WangGeng
 * @Date: 2020/7/28 7:38 下午
 * @Version: 1.0
 **/
public enum SocketMessageEnum {

    MESSAGE_PING("PING"),
    MESSAGE_PONG("PONG");

    private String message;

    SocketMessageEnum(String message) {
        this.message = message;
    }

    public String getMessage() {
        return message == null ? "" : message.trim();
    }
}
